

int led_pin1 = 12;    // the number of the first LED pin
int ledState1 = LOW;             // ledState used to set the first LED
long previousMillis1 = 0;        // will store last time LED 1 was updated
long rate1;           // first led rate

int led_pin2 = 4;    // the number of the first LED pin
int ledState2 = LOW;             // ledState used to set the first LED
long previousMillis2 = 0;        // will store last time LED 1 was updated
long rate2;           // first led rate

int pot_value;       // were we will store the reading from the knob

void setup() {
  pinMode(led_pin1, OUTPUT);
  pinMode(led_pin2, OUTPUT);
}

void loop()
{

  // read the potentiometer and mke it the value we use to control the light
  pot_value = analogRead(A0); // analogRead will return a value from 0 to 1023

  rate1 = pot_value;
  rate2 = pot_value * 2 ; // rate 2 is twice rate1 which would make it half the speed


  unsigned long currentMillis = millis();// only need to do this once

  if (currentMillis - previousMillis1 > rate1) {

    previousMillis1 = currentMillis;

    if (ledState1 == LOW)
      ledState1 = HIGH;
    else
      ledState1 = LOW;

    digitalWrite(led_pin1, ledState1);
  }

  if (currentMillis - previousMillis2 > rate2) {

    previousMillis2 = currentMillis;

    if (ledState2 == LOW)
      ledState2 = HIGH;
    else
      ledState2 = LOW;

    digitalWrite(led_pin2, ledState2);
  }

}

